Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 4665 in orxonox.OLD for orxonox/trunk/configure


Ignore:
Timestamp:
Jun 23, 2005, 3:04:45 PM (19 years ago)
Author:
bensch
Message:

orxonox/trunk: higher order

File:
1 edited

Legend:

Unmodified
Added
Removed
  • orxonox/trunk/configure

    r4664 r4665  
    56725672   CPPFLAGS="`sdl-config --cflags` $CPPFLAGS"
    56735673
    5674 for ac_header in SDL/SDL.h
     5674for ac_header in SDL.h
    56755675do
    56765676as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    58195819else
    58205820
    5821 for ac_header in SDL.h
     5821for ac_header in SDL/SDL.h
    58225822do
    58235823as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    63346334###################################
    63356335
    6336 #--------#
    6337 # openAL #
    6338 #--------#
    6339 # checking for openAL-headers
    6340 
    6341 for ac_header in AL/al.h
     6336#---------#
     6337# SDL_ttf #
     6338#---------#
     6339# checking for SDL_ttf-headers
     6340
     6341for ac_header in SDL/SDL_ttf.h
    63426342do
    63436343as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    64856485
    64866486else
    6487   { { echo "$as_me:$LINENO: error: cannot find openAL header." >&5
    6488 echo "$as_me: error: cannot find openAL header." >&2;}
    6489    { (exit 1); exit 1; }; }
    6490 fi
    6491 
    6492 done
    6493 
    6494 # checking for openAL-lib
    6495   echo "$as_me:$LINENO: checking for main in -lopenal" >&5
    6496 echo $ECHO_N "checking for main in -lopenal... $ECHO_C" >&6
    6497 if test "${ac_cv_lib_openal_main+set}" = set; then
    6498   echo $ECHO_N "(cached) $ECHO_C" >&6
    6499 else
    6500   ac_check_lib_save_LIBS=$LIBS
    6501 LIBS="-lopenal  $LIBS"
    6502 cat >conftest.$ac_ext <<_ACEOF
    6503 /* confdefs.h.  */
    6504 _ACEOF
    6505 cat confdefs.h >>conftest.$ac_ext
    6506 cat >>conftest.$ac_ext <<_ACEOF
    6507 /* end confdefs.h.  */
    6508 
    6509 
    6510 int
    6511 main ()
    6512 {
    6513 main ();
    6514   ;
    6515   return 0;
    6516 }
    6517 _ACEOF
    6518 rm -f conftest.$ac_objext conftest$ac_exeext
    6519 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6520   (eval $ac_link) 2>conftest.er1
    6521   ac_status=$?
    6522   grep -v '^ *+' conftest.er1 >conftest.err
    6523   rm -f conftest.er1
    6524   cat conftest.err >&5
    6525   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6526   (exit $ac_status); } &&
    6527          { ac_try='test -z "$ac_c_werror_flag"
    6528                          || test ! -s conftest.err'
    6529   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6530   (eval $ac_try) 2>&5
    6531   ac_status=$?
    6532   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6533   (exit $ac_status); }; } &&
    6534          { ac_try='test -s conftest$ac_exeext'
    6535   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6536   (eval $ac_try) 2>&5
    6537   ac_status=$?
    6538   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6539   (exit $ac_status); }; }; then
    6540   ac_cv_lib_openal_main=yes
    6541 else
    6542   echo "$as_me: failed program was:" >&5
    6543 sed 's/^/| /' conftest.$ac_ext >&5
    6544 
    6545 ac_cv_lib_openal_main=no
    6546 fi
    6547 rm -f conftest.err conftest.$ac_objext \
    6548       conftest$ac_exeext conftest.$ac_ext
    6549 LIBS=$ac_check_lib_save_LIBS
    6550 fi
    6551 echo "$as_me:$LINENO: result: $ac_cv_lib_openal_main" >&5
    6552 echo "${ECHO_T}$ac_cv_lib_openal_main" >&6
    6553 if test $ac_cv_lib_openal_main = yes; then
    6554   FOUND_openal=yes
    6555 fi
    6556 
    6557      if test x$FOUND_openal = xyes ; then
    6558        LIBS="$LIBS -lopenal"
    6559      else
    6560         echo "------------------"
    6561         echo "openal library not found."
    6562         echo "please install the openal library, which can be found at http://www.openal.org"
    6563         echo "------------------"
    6564         exit -1
    6565      fi
    6566 
    6567 #-----#
    6568 # ogg #
    6569 #-----#
    6570 # checking for ogg-headers
    6571 
    6572 for ac_header in ogg/ogg.h
     6487
     6488for ac_header in SDL_ttf.h
    65736489do
    65746490as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    67166632
    67176633else
    6718   { { echo "$as_me:$LINENO: error: cannot find ogg header." >&5
    6719 echo "$as_me: error: cannot find ogg header." >&2;}
     6634  { { echo "$as_me:$LINENO: error: cannot find SDL_ttf header." >&5
     6635echo "$as_me: error: cannot find SDL_ttf header." >&2;}
    67206636   { (exit 1); exit 1; }; }
    67216637fi
     
    67236639done
    67246640
    6725 # checking for ogg-lib
    6726   echo "$as_me:$LINENO: checking for main in -logg" >&5
    6727 echo $ECHO_N "checking for main in -logg... $ECHO_C" >&6
    6728 if test "${ac_cv_lib_ogg_main+set}" = set; then
     6641fi
     6642
     6643done
     6644
     6645#fi
     6646# checking for SDL_ttf-lib
     6647  echo "$as_me:$LINENO: checking for main in -lSDL_ttf" >&5
     6648echo $ECHO_N "checking for main in -lSDL_ttf... $ECHO_C" >&6
     6649if test "${ac_cv_lib_SDL_ttf_main+set}" = set; then
    67296650  echo $ECHO_N "(cached) $ECHO_C" >&6
    67306651else
    67316652  ac_check_lib_save_LIBS=$LIBS
    6732 LIBS="-logg  $LIBS"
     6653LIBS="-lSDL_ttf  $LIBS"
    67336654cat >conftest.$ac_ext <<_ACEOF
    67346655/* confdefs.h.  */
     
    67696690  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    67706691  (exit $ac_status); }; }; then
    6771   ac_cv_lib_ogg_main=yes
     6692  ac_cv_lib_SDL_ttf_main=yes
    67726693else
    67736694  echo "$as_me: failed program was:" >&5
    67746695sed 's/^/| /' conftest.$ac_ext >&5
    67756696
    6776 ac_cv_lib_ogg_main=no
     6697ac_cv_lib_SDL_ttf_main=no
    67776698fi
    67786699rm -f conftest.err conftest.$ac_objext \
     
    67806701LIBS=$ac_check_lib_save_LIBS
    67816702fi
    6782 echo "$as_me:$LINENO: result: $ac_cv_lib_ogg_main" >&5
    6783 echo "${ECHO_T}$ac_cv_lib_ogg_main" >&6
    6784 if test $ac_cv_lib_ogg_main = yes; then
    6785   FOUND_ogg=yes
    6786 fi
    6787 
    6788      if test x$FOUND_ogg = xyes ; then
    6789        LIBS="$LIBS -logg"
     6703echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_ttf_main" >&5
     6704echo "${ECHO_T}$ac_cv_lib_SDL_ttf_main" >&6
     6705if test $ac_cv_lib_SDL_ttf_main = yes; then
     6706  FOUND_SDL_ttf=yes
     6707fi
     6708
     6709     if test x$FOUND_SDL_ttf = xyes ; then
     6710       LIBS="$LIBS -lSDL_ttf"
    67906711     else
    67916712        echo "------------------"
    6792         echo "ogg library not found."
    6793         echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     6713        echo "SDL_ttf library not found."
     6714        echo "please install the SDL_ttf library, which can be found at http://www.libsdl.org/projects/SDL_ttf/"
    67946715        echo "------------------"
    67956716        exit -1
    67966717     fi
    67976718
    6798 #--------#
    6799 # vorbis #
    6800 #--------#
    6801 # checking for vorbis-lib
    6802   echo "$as_me:$LINENO: checking for main in -lvorbis" >&5
    6803 echo $ECHO_N "checking for main in -lvorbis... $ECHO_C" >&6
    6804 if test "${ac_cv_lib_vorbis_main+set}" = set; then
    6805   echo $ECHO_N "(cached) $ECHO_C" >&6
    6806 else
    6807   ac_check_lib_save_LIBS=$LIBS
    6808 LIBS="-lvorbis  $LIBS"
    6809 cat >conftest.$ac_ext <<_ACEOF
    6810 /* confdefs.h.  */
    6811 _ACEOF
    6812 cat confdefs.h >>conftest.$ac_ext
    6813 cat >>conftest.$ac_ext <<_ACEOF
    6814 /* end confdefs.h.  */
    6815 
    6816 
    6817 int
    6818 main ()
    6819 {
    6820 main ();
    6821   ;
    6822   return 0;
    6823 }
    6824 _ACEOF
    6825 rm -f conftest.$ac_objext conftest$ac_exeext
    6826 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6827   (eval $ac_link) 2>conftest.er1
    6828   ac_status=$?
    6829   grep -v '^ *+' conftest.er1 >conftest.err
    6830   rm -f conftest.er1
    6831   cat conftest.err >&5
    6832   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6833   (exit $ac_status); } &&
    6834          { ac_try='test -z "$ac_c_werror_flag"
    6835                          || test ! -s conftest.err'
    6836   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6837   (eval $ac_try) 2>&5
    6838   ac_status=$?
    6839   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6840   (exit $ac_status); }; } &&
    6841          { ac_try='test -s conftest$ac_exeext'
    6842   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6843   (eval $ac_try) 2>&5
    6844   ac_status=$?
    6845   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6846   (exit $ac_status); }; }; then
    6847   ac_cv_lib_vorbis_main=yes
    6848 else
    6849   echo "$as_me: failed program was:" >&5
    6850 sed 's/^/| /' conftest.$ac_ext >&5
    6851 
    6852 ac_cv_lib_vorbis_main=no
    6853 fi
    6854 rm -f conftest.err conftest.$ac_objext \
    6855       conftest$ac_exeext conftest.$ac_ext
    6856 LIBS=$ac_check_lib_save_LIBS
    6857 fi
    6858 echo "$as_me:$LINENO: result: $ac_cv_lib_vorbis_main" >&5
    6859 echo "${ECHO_T}$ac_cv_lib_vorbis_main" >&6
    6860 if test $ac_cv_lib_vorbis_main = yes; then
    6861   FOUND_vorbis=yes
    6862 fi
    6863 
    6864      if test x$FOUND_vorbis = xyes ; then
    6865        LIBS="$LIBS -lvorbis"
    6866      else
    6867         echo "------------------"
    6868         echo "vorbis library not found."
    6869         echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
    6870         echo "------------------"
    6871         exit -1
    6872      fi
    6873 
    6874 #------------#
    6875 # vorbisfile #
    6876 #------------#
    6877 # checking for vorbis-headers
    6878 
    6879 for ac_header in vorbis/vorbisfile.h
     6719
     6720#-----------#
     6721# SDL_Image #
     6722#-----------#
     6723# checking for SDL_image-headers
     6724
     6725for ac_header in SDL_image.h
    68806726do
    68816727as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    70236869
    70246870else
    7025   { { echo "$as_me:$LINENO: error: cannot find vorbisfile header." >&5
    7026 echo "$as_me: error: cannot find vorbisfile header." >&2;}
    7027    { (exit 1); exit 1; }; }
    7028 fi
    7029 
    7030 done
    7031 
    7032 # checking for vorbisfile-lib
    7033   echo "$as_me:$LINENO: checking for main in -lvorbisfile" >&5
    7034 echo $ECHO_N "checking for main in -lvorbisfile... $ECHO_C" >&6
    7035 if test "${ac_cv_lib_vorbisfile_main+set}" = set; then
    7036   echo $ECHO_N "(cached) $ECHO_C" >&6
    7037 else
    7038   ac_check_lib_save_LIBS=$LIBS
    7039 LIBS="-lvorbisfile  $LIBS"
    7040 cat >conftest.$ac_ext <<_ACEOF
    7041 /* confdefs.h.  */
    7042 _ACEOF
    7043 cat confdefs.h >>conftest.$ac_ext
    7044 cat >>conftest.$ac_ext <<_ACEOF
    7045 /* end confdefs.h.  */
    7046 
    7047 
    7048 int
    7049 main ()
    7050 {
    7051 main ();
    7052   ;
    7053   return 0;
    7054 }
    7055 _ACEOF
    7056 rm -f conftest.$ac_objext conftest$ac_exeext
    7057 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    7058   (eval $ac_link) 2>conftest.er1
    7059   ac_status=$?
    7060   grep -v '^ *+' conftest.er1 >conftest.err
    7061   rm -f conftest.er1
    7062   cat conftest.err >&5
    7063   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7064   (exit $ac_status); } &&
    7065          { ac_try='test -z "$ac_c_werror_flag"
    7066                          || test ! -s conftest.err'
    7067   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7068   (eval $ac_try) 2>&5
    7069   ac_status=$?
    7070   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7071   (exit $ac_status); }; } &&
    7072          { ac_try='test -s conftest$ac_exeext'
    7073   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7074   (eval $ac_try) 2>&5
    7075   ac_status=$?
    7076   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7077   (exit $ac_status); }; }; then
    7078   ac_cv_lib_vorbisfile_main=yes
    7079 else
    7080   echo "$as_me: failed program was:" >&5
    7081 sed 's/^/| /' conftest.$ac_ext >&5
    7082 
    7083 ac_cv_lib_vorbisfile_main=no
    7084 fi
    7085 rm -f conftest.err conftest.$ac_objext \
    7086       conftest$ac_exeext conftest.$ac_ext
    7087 LIBS=$ac_check_lib_save_LIBS
    7088 fi
    7089 echo "$as_me:$LINENO: result: $ac_cv_lib_vorbisfile_main" >&5
    7090 echo "${ECHO_T}$ac_cv_lib_vorbisfile_main" >&6
    7091 if test $ac_cv_lib_vorbisfile_main = yes; then
    7092   FOUND_vorbisfile=yes
    7093 fi
    7094 
    7095      if test x$FOUND_vorbisfile = xyes ; then
    7096        LIBS="$LIBS -lvorbisfile"
    7097      else
    7098         echo "------------------"
    7099         echo "vorbisfile library not found."
    7100         echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
    7101         echo "------------------"
    7102         exit -1
    7103      fi
    7104 
    7105 #---------#
    7106 # SDL_ttf #
    7107 #---------#
    7108 # checking for SDL_ttf-headers
    7109 
    7110 for ac_header in SDL/SDL_ttf.h
     6871
     6872for ac_header in SDL/SDL_image.h
    71116873do
    71126874as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    72547016
    72557017else
    7256 
    7257 for ac_header in SDL_ttf.h
     7018  { { echo "$as_me:$LINENO: error: sdl_image header not found." >&5
     7019echo "$as_me: error: sdl_image header not found." >&2;}
     7020   { (exit 1); exit 1; }; }
     7021fi
     7022
     7023done
     7024
     7025fi
     7026
     7027done
     7028
     7029# checking for SDL_image-lib
     7030echo "$as_me:$LINENO: checking for main in -lSDL_image" >&5
     7031echo $ECHO_N "checking for main in -lSDL_image... $ECHO_C" >&6
     7032if test "${ac_cv_lib_SDL_image_main+set}" = set; then
     7033  echo $ECHO_N "(cached) $ECHO_C" >&6
     7034else
     7035  ac_check_lib_save_LIBS=$LIBS
     7036LIBS="-lSDL_image  $LIBS"
     7037cat >conftest.$ac_ext <<_ACEOF
     7038/* confdefs.h.  */
     7039_ACEOF
     7040cat confdefs.h >>conftest.$ac_ext
     7041cat >>conftest.$ac_ext <<_ACEOF
     7042/* end confdefs.h.  */
     7043
     7044
     7045int
     7046main ()
     7047{
     7048main ();
     7049  ;
     7050  return 0;
     7051}
     7052_ACEOF
     7053rm -f conftest.$ac_objext conftest$ac_exeext
     7054if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7055  (eval $ac_link) 2>conftest.er1
     7056  ac_status=$?
     7057  grep -v '^ *+' conftest.er1 >conftest.err
     7058  rm -f conftest.er1
     7059  cat conftest.err >&5
     7060  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7061  (exit $ac_status); } &&
     7062         { ac_try='test -z "$ac_c_werror_flag"
     7063                         || test ! -s conftest.err'
     7064  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7065  (eval $ac_try) 2>&5
     7066  ac_status=$?
     7067  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7068  (exit $ac_status); }; } &&
     7069         { ac_try='test -s conftest$ac_exeext'
     7070  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7071  (eval $ac_try) 2>&5
     7072  ac_status=$?
     7073  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7074  (exit $ac_status); }; }; then
     7075  ac_cv_lib_SDL_image_main=yes
     7076else
     7077  echo "$as_me: failed program was:" >&5
     7078sed 's/^/| /' conftest.$ac_ext >&5
     7079
     7080ac_cv_lib_SDL_image_main=no
     7081fi
     7082rm -f conftest.err conftest.$ac_objext \
     7083      conftest$ac_exeext conftest.$ac_ext
     7084LIBS=$ac_check_lib_save_LIBS
     7085fi
     7086echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_image_main" >&5
     7087echo "${ECHO_T}$ac_cv_lib_SDL_image_main" >&6
     7088if test $ac_cv_lib_SDL_image_main = yes; then
     7089  FOUND_SDL_image=yes
     7090fi
     7091
     7092   if test x$FOUND_SDL_image = xyes ; then
     7093     LIBS="$LIBS -lSDL_image"
     7094   else
     7095      echo "------------------"
     7096      echo "SDL_image library not found."
     7097      echo "please install the SDL_image library, which can be found at http://www.libsdl.org/projects/SDL_image/"
     7098      echo "------------------"
     7099      exit -1
     7100   fi
     7101
     7102#--------#
     7103# openAL #
     7104#--------#
     7105# checking for openAL-headers
     7106
     7107for ac_header in AL/al.h
    72587108do
    72597109as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    74017251
    74027252else
    7403   { { echo "$as_me:$LINENO: error: cannot find SDL_ttf header." >&5
    7404 echo "$as_me: error: cannot find SDL_ttf header." >&2;}
     7253  { { echo "$as_me:$LINENO: error: cannot find openAL header." >&5
     7254echo "$as_me: error: cannot find openAL header." >&2;}
    74057255   { (exit 1); exit 1; }; }
    74067256fi
     
    74087258done
    74097259
    7410 fi
    7411 
    7412 done
    7413 
    7414 #fi
    7415 # checking for SDL_ttf-lib
    7416   echo "$as_me:$LINENO: checking for main in -lSDL_ttf" >&5
    7417 echo $ECHO_N "checking for main in -lSDL_ttf... $ECHO_C" >&6
    7418 if test "${ac_cv_lib_SDL_ttf_main+set}" = set; then
     7260# checking for openAL-lib
     7261  echo "$as_me:$LINENO: checking for main in -lopenal" >&5
     7262echo $ECHO_N "checking for main in -lopenal... $ECHO_C" >&6
     7263if test "${ac_cv_lib_openal_main+set}" = set; then
    74197264  echo $ECHO_N "(cached) $ECHO_C" >&6
    74207265else
    74217266  ac_check_lib_save_LIBS=$LIBS
    7422 LIBS="-lSDL_ttf  $LIBS"
     7267LIBS="-lopenal  $LIBS"
    74237268cat >conftest.$ac_ext <<_ACEOF
    74247269/* confdefs.h.  */
     
    74597304  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    74607305  (exit $ac_status); }; }; then
    7461   ac_cv_lib_SDL_ttf_main=yes
     7306  ac_cv_lib_openal_main=yes
    74627307else
    74637308  echo "$as_me: failed program was:" >&5
    74647309sed 's/^/| /' conftest.$ac_ext >&5
    74657310
    7466 ac_cv_lib_SDL_ttf_main=no
     7311ac_cv_lib_openal_main=no
    74677312fi
    74687313rm -f conftest.err conftest.$ac_objext \
     
    74707315LIBS=$ac_check_lib_save_LIBS
    74717316fi
    7472 echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_ttf_main" >&5
    7473 echo "${ECHO_T}$ac_cv_lib_SDL_ttf_main" >&6
    7474 if test $ac_cv_lib_SDL_ttf_main = yes; then
    7475   FOUND_SDL_ttf=yes
    7476 fi
    7477 
    7478      if test x$FOUND_SDL_ttf = xyes ; then
    7479        LIBS="$LIBS -lSDL_ttf"
     7317echo "$as_me:$LINENO: result: $ac_cv_lib_openal_main" >&5
     7318echo "${ECHO_T}$ac_cv_lib_openal_main" >&6
     7319if test $ac_cv_lib_openal_main = yes; then
     7320  FOUND_openal=yes
     7321fi
     7322
     7323     if test x$FOUND_openal = xyes ; then
     7324       LIBS="$LIBS -lopenal"
    74807325     else
    74817326        echo "------------------"
    7482         echo "SDL_ttf library not found."
    7483         echo "please install the SDL_ttf library, which can be found at http://www.libsdl.org/projects/SDL_ttf/"
     7327        echo "openal library not found."
     7328        echo "please install the openal library, which can be found at http://www.openal.org"
    74847329        echo "------------------"
    74857330        exit -1
    74867331     fi
    74877332
    7488 
    7489 #-----------#
    7490 # SDL_Image #
    7491 #-----------#
    7492 # checking for SDL_image-headers
    7493 
    7494 for ac_header in SDL_image.h
     7333#-----#
     7334# ogg #
     7335#-----#
     7336# checking for ogg-headers
     7337
     7338for ac_header in ogg/ogg.h
    74957339do
    74967340as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    76387482
    76397483else
    7640 
    7641 for ac_header in SDL/SDL_image.h
     7484  { { echo "$as_me:$LINENO: error: cannot find ogg header." >&5
     7485echo "$as_me: error: cannot find ogg header." >&2;}
     7486   { (exit 1); exit 1; }; }
     7487fi
     7488
     7489done
     7490
     7491# checking for ogg-lib
     7492  echo "$as_me:$LINENO: checking for main in -logg" >&5
     7493echo $ECHO_N "checking for main in -logg... $ECHO_C" >&6
     7494if test "${ac_cv_lib_ogg_main+set}" = set; then
     7495  echo $ECHO_N "(cached) $ECHO_C" >&6
     7496else
     7497  ac_check_lib_save_LIBS=$LIBS
     7498LIBS="-logg  $LIBS"
     7499cat >conftest.$ac_ext <<_ACEOF
     7500/* confdefs.h.  */
     7501_ACEOF
     7502cat confdefs.h >>conftest.$ac_ext
     7503cat >>conftest.$ac_ext <<_ACEOF
     7504/* end confdefs.h.  */
     7505
     7506
     7507int
     7508main ()
     7509{
     7510main ();
     7511  ;
     7512  return 0;
     7513}
     7514_ACEOF
     7515rm -f conftest.$ac_objext conftest$ac_exeext
     7516if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7517  (eval $ac_link) 2>conftest.er1
     7518  ac_status=$?
     7519  grep -v '^ *+' conftest.er1 >conftest.err
     7520  rm -f conftest.er1
     7521  cat conftest.err >&5
     7522  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7523  (exit $ac_status); } &&
     7524         { ac_try='test -z "$ac_c_werror_flag"
     7525                         || test ! -s conftest.err'
     7526  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7527  (eval $ac_try) 2>&5
     7528  ac_status=$?
     7529  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7530  (exit $ac_status); }; } &&
     7531         { ac_try='test -s conftest$ac_exeext'
     7532  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7533  (eval $ac_try) 2>&5
     7534  ac_status=$?
     7535  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7536  (exit $ac_status); }; }; then
     7537  ac_cv_lib_ogg_main=yes
     7538else
     7539  echo "$as_me: failed program was:" >&5
     7540sed 's/^/| /' conftest.$ac_ext >&5
     7541
     7542ac_cv_lib_ogg_main=no
     7543fi
     7544rm -f conftest.err conftest.$ac_objext \
     7545      conftest$ac_exeext conftest.$ac_ext
     7546LIBS=$ac_check_lib_save_LIBS
     7547fi
     7548echo "$as_me:$LINENO: result: $ac_cv_lib_ogg_main" >&5
     7549echo "${ECHO_T}$ac_cv_lib_ogg_main" >&6
     7550if test $ac_cv_lib_ogg_main = yes; then
     7551  FOUND_ogg=yes
     7552fi
     7553
     7554     if test x$FOUND_ogg = xyes ; then
     7555       LIBS="$LIBS -logg"
     7556     else
     7557        echo "------------------"
     7558        echo "ogg library not found."
     7559        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     7560        echo "------------------"
     7561        exit -1
     7562     fi
     7563
     7564#--------#
     7565# vorbis #
     7566#--------#
     7567# checking for vorbis-lib
     7568  echo "$as_me:$LINENO: checking for main in -lvorbis" >&5
     7569echo $ECHO_N "checking for main in -lvorbis... $ECHO_C" >&6
     7570if test "${ac_cv_lib_vorbis_main+set}" = set; then
     7571  echo $ECHO_N "(cached) $ECHO_C" >&6
     7572else
     7573  ac_check_lib_save_LIBS=$LIBS
     7574LIBS="-lvorbis  $LIBS"
     7575cat >conftest.$ac_ext <<_ACEOF
     7576/* confdefs.h.  */
     7577_ACEOF
     7578cat confdefs.h >>conftest.$ac_ext
     7579cat >>conftest.$ac_ext <<_ACEOF
     7580/* end confdefs.h.  */
     7581
     7582
     7583int
     7584main ()
     7585{
     7586main ();
     7587  ;
     7588  return 0;
     7589}
     7590_ACEOF
     7591rm -f conftest.$ac_objext conftest$ac_exeext
     7592if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7593  (eval $ac_link) 2>conftest.er1
     7594  ac_status=$?
     7595  grep -v '^ *+' conftest.er1 >conftest.err
     7596  rm -f conftest.er1
     7597  cat conftest.err >&5
     7598  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7599  (exit $ac_status); } &&
     7600         { ac_try='test -z "$ac_c_werror_flag"
     7601                         || test ! -s conftest.err'
     7602  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7603  (eval $ac_try) 2>&5
     7604  ac_status=$?
     7605  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7606  (exit $ac_status); }; } &&
     7607         { ac_try='test -s conftest$ac_exeext'
     7608  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7609  (eval $ac_try) 2>&5
     7610  ac_status=$?
     7611  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7612  (exit $ac_status); }; }; then
     7613  ac_cv_lib_vorbis_main=yes
     7614else
     7615  echo "$as_me: failed program was:" >&5
     7616sed 's/^/| /' conftest.$ac_ext >&5
     7617
     7618ac_cv_lib_vorbis_main=no
     7619fi
     7620rm -f conftest.err conftest.$ac_objext \
     7621      conftest$ac_exeext conftest.$ac_ext
     7622LIBS=$ac_check_lib_save_LIBS
     7623fi
     7624echo "$as_me:$LINENO: result: $ac_cv_lib_vorbis_main" >&5
     7625echo "${ECHO_T}$ac_cv_lib_vorbis_main" >&6
     7626if test $ac_cv_lib_vorbis_main = yes; then
     7627  FOUND_vorbis=yes
     7628fi
     7629
     7630     if test x$FOUND_vorbis = xyes ; then
     7631       LIBS="$LIBS -lvorbis"
     7632     else
     7633        echo "------------------"
     7634        echo "vorbis library not found."
     7635        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     7636        echo "------------------"
     7637        exit -1
     7638     fi
     7639
     7640#------------#
     7641# vorbisfile #
     7642#------------#
     7643# checking for vorbis-headers
     7644
     7645for ac_header in vorbis/vorbisfile.h
    76427646do
    76437647as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    77857789
    77867790else
    7787   { { echo "$as_me:$LINENO: error: sdl_image header not found." >&5
    7788 echo "$as_me: error: sdl_image header not found." >&2;}
     7791  { { echo "$as_me:$LINENO: error: cannot find vorbisfile header." >&5
     7792echo "$as_me: error: cannot find vorbisfile header." >&2;}
    77897793   { (exit 1); exit 1; }; }
    77907794fi
     
    77927796done
    77937797
    7794 fi
    7795 
    7796 done
    7797 
    7798 # checking for SDL_image-lib
    7799 echo "$as_me:$LINENO: checking for main in -lSDL_image" >&5
    7800 echo $ECHO_N "checking for main in -lSDL_image... $ECHO_C" >&6
    7801 if test "${ac_cv_lib_SDL_image_main+set}" = set; then
     7798# checking for vorbisfile-lib
     7799  echo "$as_me:$LINENO: checking for main in -lvorbisfile" >&5
     7800echo $ECHO_N "checking for main in -lvorbisfile... $ECHO_C" >&6
     7801if test "${ac_cv_lib_vorbisfile_main+set}" = set; then
    78027802  echo $ECHO_N "(cached) $ECHO_C" >&6
    78037803else
    78047804  ac_check_lib_save_LIBS=$LIBS
    7805 LIBS="-lSDL_image  $LIBS"
     7805LIBS="-lvorbisfile  $LIBS"
    78067806cat >conftest.$ac_ext <<_ACEOF
    78077807/* confdefs.h.  */
     
    78427842  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    78437843  (exit $ac_status); }; }; then
    7844   ac_cv_lib_SDL_image_main=yes
     7844  ac_cv_lib_vorbisfile_main=yes
    78457845else
    78467846  echo "$as_me: failed program was:" >&5
    78477847sed 's/^/| /' conftest.$ac_ext >&5
    78487848
    7849 ac_cv_lib_SDL_image_main=no
     7849ac_cv_lib_vorbisfile_main=no
    78507850fi
    78517851rm -f conftest.err conftest.$ac_objext \
     
    78537853LIBS=$ac_check_lib_save_LIBS
    78547854fi
    7855 echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_image_main" >&5
    7856 echo "${ECHO_T}$ac_cv_lib_SDL_image_main" >&6
    7857 if test $ac_cv_lib_SDL_image_main = yes; then
    7858   FOUND_SDL_image=yes
    7859 fi
    7860 
    7861    if test x$FOUND_SDL_image = xyes ; then
    7862      LIBS="$LIBS -lSDL_image"
    7863    else
    7864       echo "------------------"
    7865       echo "SDL_image library not found."
    7866       echo "please install the SDL_image library, which can be found at http://www.libsdl.org/projects/SDL_image/"
    7867       echo "------------------"
    7868       exit -1
    7869    fi
     7855echo "$as_me:$LINENO: result: $ac_cv_lib_vorbisfile_main" >&5
     7856echo "${ECHO_T}$ac_cv_lib_vorbisfile_main" >&6
     7857if test $ac_cv_lib_vorbisfile_main = yes; then
     7858  FOUND_vorbisfile=yes
     7859fi
     7860
     7861     if test x$FOUND_vorbisfile = xyes ; then
     7862       LIBS="$LIBS -lvorbisfile"
     7863     else
     7864        echo "------------------"
     7865        echo "vorbisfile library not found."
     7866        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
     7867        echo "------------------"
     7868        exit -1
     7869     fi
    78707870
    78717871#-----#
Note: See TracChangeset for help on using the changeset viewer.